<article *ngIf="pokemon && pokemonId" class="pokemonCard">
    <a [routerLink]="['pokemon', pokemonId]">
        <h2>{{ pokemon.name | titlecase }} - Id : {{ pokemonId }}</h2>
        <img [src]="pokemonImageUrl" [alt]="pokemon.name" loading="lazy">
    </a>
</article>